gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecFlags

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for flags properties.

Synopsis

- newtype ParamSpecFlags = ParamSpecFlags (ManagedPtr ParamSpecFlags)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecFlags o) => IsParamSpecFlags o
- toParamSpecFlags :: (MonadIO m, IsParamSpecFlags o) => o -> m ParamSpecFlags

# Exported types

newtype ParamSpecFlags Source #

Memory-managed wrapper type.

Constructors

ParamSpecFlags (ManagedPtr ParamSpecFlags) |

#### Instances

Instances details

Eq ParamSpecFlags Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFlags Methods (==) :: ParamSpecFlags -> ParamSpecFlags -> Bool Source # (/=) :: ParamSpecFlags -> ParamSpecFlags -> Bool Source #
BoxedPtr ParamSpecFlags Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFlags Methods boxedPtrCopy :: ParamSpecFlags -> IO ParamSpecFlags Source # boxedPtrFree :: ParamSpecFlags -> IO () Source #
ManagedPtrNewtype ParamSpecFlags Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFlags Methods toManagedPtr :: ParamSpecFlags -> ManagedPtr ParamSpecFlags Source #
TypedObject ParamSpecFlags Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFlags Methods glibType :: IO GType Source #
HasParentTypes ParamSpecFlags Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFlags
type ParentTypes ParamSpecFlags Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFlags type ParentTypes ParamSpecFlags = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecFlags o) => IsParamSpecFlags o Source #

Type class for types which can be safely cast to `ParamSpecFlags`, for instance with `toParamSpecFlags`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecFlags o) => IsParamSpecFlags o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFlags

toParamSpecFlags :: (MonadIO m, IsParamSpecFlags o) => o -> m ParamSpecFlags Source #

Cast to `ParamSpecFlags`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.